trinityrnaseq (2.15.1+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Add support for loong64
    Closes: #1059072

 -- Andreas Tille <tille@debian.org>  Sat, 23 Dec 2023 23:34:33 +0100

trinityrnaseq (2.15.1+dfsg-4) unstable; urgency=medium

  * d/control: also restrict architectures for the -examples binary
    package.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 05 Oct 2023 16:10:30 +0200

trinityrnaseq (2.15.1+dfsg-3) unstable; urgency=medium

  * d/control: tighten architecture list to those with necessary dependencies.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 02 Oct 2023 12:25:24 +0200

trinityrnaseq (2.15.1+dfsg-2) unstable; urgency=medium

  * d/control: move many deps of the binary package to recommends/suggests.
               As not all deps are needed for all usages, this enables
               usage on architectures where some deps are not available.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 13 Sep 2023 22:02:31 +0200

trinityrnaseq (2.15.1+dfsg-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * d/watch: update for GitHub API breakage

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)

  [ Michael R. Crusoe ]
  * d/control: update homepage
  * d/control: remove unused test-deps
  * d/source/lintian-overrides: note that we clean up the
    config.{log,status} automatically.
  * d/patches/R_4.2_fix: fix for R 4.2.x+.
    Closes: #1006336, #1004773

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 12 Sep 2023 17:12:30 +0200

trinityrnaseq (2.14.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Refresh patches

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 10 Apr 2022 18:07:36 +0200

trinityrnaseq (2.13.2+dfsg-3) unstable; urgency=medium

  * Team upload
  * Applying a new patch to build against newest libjung-free-java, adding a
    versioned dependency

 -- Pierre Gruet <pgt@debian.org>  Mon, 15 Nov 2021 21:52:59 +0100

trinityrnaseq (2.13.2+dfsg-2) unstable; urgency=medium

  * debian/javabuild: updated to correct path to the Butterfly source
  * debian/copyright: Now that the Butterfly source is back in the
    upstream tarball, adjust the paths accordingly here as well.
  * debian/patches: forwarded many patches upstream

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 08 Nov 2021 12:44:15 +0100

trinityrnaseq (2.13.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * watch file standard 4 (routine-update)
  * Freshen patches
  * debian/tests/control: dep on libpicard-java
  * debian/rules: adjust cmake invocation
  * new patch: debian/patches/which_command_v to use 'command -v'
    instead of which
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Refresh patches

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 07 Nov 2021 17:28:45 +0100

trinityrnaseq (2.11.0+dfsg-6) unstable; urgency=medium

  * fix typo in debian/test/control.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 19 Jan 2021 14:16:26 +0100

trinityrnaseq (2.11.0+dfsg-5) unstable; urgency=medium

  * Add r-bioc-dexseq to the deps for the trinityrnaseq binary package.
  * Standards-Version: 4.5.1 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 19 Jan 2021 10:47:31 +0100

trinityrnaseq (2.11.0+dfsg-4) unstable; urgency=medium

  * Add patch to remove m64 flag. Hopefully helps arm64 to compile.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 19 Jan 2021 07:33:58 +0100

trinityrnaseq (2.11.0+dfsg-3) unstable; urgency=medium

  * debian/tests/control: adjust so that the tests don't have to pass on archs
    where we don't build

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 24 Oct 2020 17:14:03 +0200

trinityrnaseq (2.11.0+dfsg-2) unstable; urgency=medium

  * debian/patches/STAR_genomeSAindexNbases: Attempt to fix the DTU STAR test error
  * debian/patches/skip_DTU_STAR_test: skip the test until a better fix is
    found

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 12 Oct 2020 15:16:52 +0200

trinityrnaseq (2.11.0+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix gcc-10 build issue
    Closes: #966876
  * debhelper-compat 13 (routine-update)
  * Review Files-Excluded for moved and removed files as well as new binary
    *.jars
  * Remove redundant debian/gbp.conf
  * Remove __pycache__ from installed package

  [ Michael R. Crusoe ]
  * Correct location of bamsifter installation
  * debian/patches/fix_system_paths: fix expected path for ParaFly
  * debian/patches/update-paths: fix paths to Butterfly.jar
  * Enable more features and tests with r-cran-{argparse,dexseq} & tabix

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 09 Oct 2020 15:13:36 +0200

trinityrnaseq (2.10.0+dfsg-1) unstable; urgency=medium

  * Eliminate warning about missing hardening flags
  * New upstream version
  * debhelper-compat 12
  * debian/control: Added   python3-htseq, rna-star, picard-tools, gmap,
    histat2, subread, kallisto,
    r-bioc-{edger,deseq2,rots,ctc,biobase,qvalue,goseq,tximport,dexseq,glimma},
    r-cran-{ape,fastcluster,gplots,argparse,goplot,readr,tidyverse},
    liburi-perl deps, and python3-hisat2
  * Standards-Version: 4.5.0 (routine-update)
  * Refresh patches
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * debian/rules: seqtk-trinity now has a unversioned path
  * debian/patches/butterfly: restore missing Butterfly sources
  * debian/patches/submake: use $(MAKE) consistently
  * Install the new bamsfilter plugin
  * Install trinity-plugins/COLLECTL/examine_resource_usage_profiling.pl
  * Install trinity-plugins/DEXseq_util/dexseq_prepare_annotation.py
  * Install PyLib/Pipeliner.py
  * Set PICARD_HOME default of /usr/share/java
  * Skip tests that require GATK4 until it gets packaged
  * Skip tests that require r-bioc-tximportdata
  * Skip the remaining tests waiting for new packages
  * debian/tests/runtests: s/ADTTMP/AUTOPKGTEST_TMP/g
  * Remove trailing whitespace in debian/changelog (routine-update)
  * debian/upstream/metadata: add Repository{,-Browse}, Bug-{Database,Submit}

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 28 Apr 2020 09:07:17 +0200

trinityrnaseq (2.6.6+dfsg-6) unstable; urgency=medium

  * -examples: Don't hardcode number of --CPU (especially above 2). Fixes the
    autopkgtests when the number of CPUs/cores is less than 4 and blastn's
    intransigency to accept a larger value to -num_threads.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 04 Jan 2019 03:38:40 -0800

trinityrnaseq (2.6.6+dfsg-5) unstable; urgency=medium

  * Added missing dependency on ncbi-blast+ to the binary package.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 03 Jan 2019 01:15:29 -0800

trinityrnaseq (2.6.6+dfsg-4) unstable; urgency=medium

  * Default to Python 3, as needed.
  * Use better Java version check from upstream

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 02 Jan 2019 00:48:52 -0800

trinityrnaseq (2.6.6+dfsg-3) unstable; urgency=medium

  * debian/control: add numpy dependency, required for
    Analysis/SuperTranscripts/Trinity_gene_splice_modeler.py

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 01 Jan 2019 08:34:35 -0800

trinityrnaseq (2.6.6+dfsg-2) unstable; urgency=medium

  * debian/trinityrnaseq.install: Add BubbleUpClustering binary

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 31 Dec 2018 15:30:16 -0800

trinityrnaseq (2.6.6+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Michael R. Crusoe ]
  * New upstream release, now with the sample data returned
    Closes: #897877
  * Build and ship seqtk-trinity

  [ Andreas Tille ]
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Secure URI in copyright format
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/copyright
  * Fix permissions and Perl interpreter path

 -- Andreas Tille <tille@debian.org>  Fri, 14 Dec 2018 08:58:49 +0100

trinityrnaseq (2.5.1+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Aurelien Jarno ]
  * Build with glibc 2.27 (fix for cannot find -lieee)

 -- Andreas Tille <tille@debian.org>  Sat, 17 Feb 2018 09:04:18 +0100

trinityrnaseq (2.5.1+dfsg-1) unstable; urgency=medium

  * New upstream release. Updated watch file.
  * NeedlemanWunschGotohBanded.java moved into trinityrnasq_jaligner package
  * Much of the sample data is missing from upstream's tarball, so some tests
    have been turned off

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 11 Feb 2018 09:13:04 -0800

trinityrnaseq (2.2.0+dfsg-4) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata
    - Completed references to registries
    - yamllint clean
  * debian/copyright
    - Corrected upstream-name to 'Trinity'

  [ Michael R. Crusoe ]
  * Removed unneeded dependency on r-bioc-edger

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 18 Nov 2017 05:00:08 -0800

trinityrnaseq (2.2.0+dfsg-3) unstable; urgency=medium

  * Team upload

  [ Gert Wollny ]
  * Fix build gcc 7
    Closes: #853687

  [ Andreas Tille ]
  * debhelper 10
    Closes: #865262
  * Standards-Version: 4.1.0 (no changes needed)
  * hardening=+all
  * remove unused lintian override
  * Build-Depends: bowtie2, yellyfish
    Closes: #860645

 -- Andreas Tille <tille@debian.org>  Fri, 01 Sep 2017 21:57:01 +0200

trinityrnaseq (2.2.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix build on GCC 6 (Closes: #831110)

 -- Sascha Steinbiss <satta@debian.org>  Fri, 05 Aug 2016 19:21:49 +0000

trinityrnaseq (2.2.0+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload
  * d/watch: Use xz compression for upstream source

  [ Michael R. Crusoe ]
  * new upstream version
  * prune d/copyright excludes
  * refresh patches, drop a few included upstream
  * Standards-Version: '3.9.7' -> '3.9.8'

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 23 May 2016 11:46:45 -0700

trinityrnaseq (2.1.1+dfsg2-1) unstable; urgency=low

  * Properly harden Chrysalis binaries
  * Drop Galaxy plugin
  * Increment dfsg version for the above

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Thu, 25 Feb 2016 00:03:48 -0800

trinityrnaseq (2.1.1+dfsg-2) unstable; urgency=medium

  * Split install of arch-dependent & arch-independent files, fixes FTBFS
    (Closes: #813958)

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Sun, 07 Feb 2016 01:21:41 -0800

trinityrnaseq (2.1.1+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #777697)

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Thu, 22 Oct 2015 08:31:56 -0700
